Retrieve an invoice
curl --request GET \
--url https://api.talescria.com/v1/invoices/{invoiceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.talescria.com/v1/invoices/{invoiceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.talescria.com/v1/invoices/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"invoice": {
"id": "<string>",
"status": "unpaid",
"number": "INV-0001",
"total": {
"minorUnits": "125000",
"currency": "USD"
},
"issuedAt": 123,
"dueAt": 123,
"url": "<string>",
"document": {},
"accountId": "<string>",
"customer": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"deleted": true
},
"paidAt": 123,
"paymentInProgress": true,
"createdAt": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Invoices
Retrieve an invoice
One invoice. status is unpaid, overdue, paid or void. An overdue invoice can still be paid.
Requires the invoices:read scope.
GET
/
v1
/
invoices
/
{invoiceId}
Retrieve an invoice
curl --request GET \
--url https://api.talescria.com/v1/invoices/{invoiceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.talescria.com/v1/invoices/{invoiceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.talescria.com/v1/invoices/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"invoice": {
"id": "<string>",
"status": "unpaid",
"number": "INV-0001",
"total": {
"minorUnits": "125000",
"currency": "USD"
},
"issuedAt": 123,
"dueAt": 123,
"url": "<string>",
"document": {},
"accountId": "<string>",
"customer": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"deleted": true
},
"paidAt": 123,
"paymentInProgress": true,
"createdAt": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}